Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 246199 - Notifications window link color is hardcoded.
Notifications window link color is hardcoded.
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Notifications
8.1
PC Linux
: P3 (vote)
: 8.2
Assigned To: markiewb
issues@platform
: NETFIX, PATCH_AVAILABLE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-02 06:35 UTC by venkatramakkineni
Modified: 2016-07-19 01:42 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Image demostrating the problem (25.51 KB, image/png)
2014-08-02 06:35 UTC, venkatramakkineni
Details
A patch that uses the nb.html.link.foreground as the color of the link. (1.03 KB, patch)
2014-08-02 06:50 UTC, venkatramakkineni
Details | Diff
A patch that uses the nb.html.link.foreground as the color of the link. (1.73 KB, patch)
2014-08-02 19:38 UTC, venkatramakkineni
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description venkatramakkineni 2014-08-02 06:35:42 UTC
Created attachment 148478 [details]
Image demostrating the problem

In the Notifications TopComponent, the links in Notification Detail Panel are hard code. This makes them unreadable on darker look and feels. Please refer to the attached image for more detail.
Comment 1 venkatramakkineni 2014-08-02 06:50:59 UTC
Created attachment 148480 [details]
A patch that uses the nb.html.link.foreground as the color of the link.
Comment 2 venkatramakkineni 2014-08-02 19:38:29 UTC
Created attachment 148482 [details]
A patch that uses the nb.html.link.foreground as the color of the link.

Removed the hard coded link color in Notifications Details panel and started using the color specification in nb.html.link.foreground. This lets the third party LAF developers to customize the link foreground.
Comment 3 Ondrej Vrabec 2015-09-11 14:26:37 UTC
fix: http://hg.netbeans.org/core-main/rev/c4d4842bf316
Comment 4 Quality Engineering 2015-09-13 01:22:53 UTC
Integrated into 'main-silver', will be available in build *201509130002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/c4d4842bf316
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #246199 - Notifications window link color is hardcoded.
Comment 5 markiewb 2016-02-02 21:30:35 UTC
See also https://netbeans.org/bugzilla/show_bug.cgi?id=257823
Comment 6 Martin Entlicher 2016-02-04 12:35:03 UTC
This issue was not verified yet and according to bug #257823, this fix is not sufficient.
Comment 7 Revivius 2016-02-04 21:56:55 UTC
As far as I can see there are two NotificationImpl classes:

1. One is in notifications module and was fixed in this issue.
2. There is another one in core.ui and it also uses hardcode link color: http://hg.netbeans.org/main-silver/file/426ac2a45600/core.ui/src/org/netbeans/core/ui/notifications/NotificationImpl.java#l198

I would like to suggest:

 - apply same fix there (use "nb.html.link.foreground")

Or

 - move common NotificationImpl code to openide.awt (though I am not sure core.ui can depend on openide.awt safely) and let notifications module version extend common one.
Comment 8 markiewb 2016-07-16 10:27:48 UTC
Fixed
http://hg.netbeans.org/core-main/rev/3055beb59589

Applied same fix there (use "nb.html.link.foreground") at core.ui/src/org/netbeans/core/ui/notifications/NotificationImpl.java
Comment 9 Quality Engineering 2016-07-19 01:42:55 UTC
Integrated into 'main-silver', will be available in build *201607190002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/3055beb59589
User: Benno Markiewicz <markiewb@netbeans.org>
Log: #246199 - Notifications window link color is hardcoded


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo